rubik(6)

NAME
rubik - screen saver that solves Rubik's Cube.

SYNOPSIS
rubik [-display host:display.screen] [-visual visual] [-window] [-root] [-count number] [-cycles number] [-delay number] [-size number] [-hideshuffling] [-fps]

DESCRIPTION
Draws a Rubik's Cube that rotates in three dimensions and repeatedly shuffles and solves itself.

OPTIONS

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-count number
    Count.    -100 - 100.  Default: -30.

-cycles number
    Timeout. 0 - 60. Default: 5.

-delay number
    Per-frame delay, in microseconds. Default: 40000 (0.04 seconds.).

-size number
    Size. -20 - 20. Default: -6.

-hideshuffling | -no-hideshuffling
    Show Shuffling. Boolean.

-fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright © 2002 by Marcelo Vianna. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Marcelo Vianna.